=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/" \
https://www.clamav.net/previous_stable_releases /downloads/.*/clamav-(0\.103\..*).tar.gz
#https://www.clamav.net/download.html /downloads/.*/clamav-(0.103.*).tar.gz
# repository snapshots: fallback location with larger tarballs and without signatures
#opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,dversionmangle=s/\+dfsg//" \
#https://github.com/vrtadmin/clamav-devel/tags /vrtadmin/clamav-devel/archive/clamav-(.*)\.tar\.gz
