## clamav 0.103.6%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # The following variables can be used to override the automake/aclocal versions.
 #export AUTOMAKE = automake
 #export ACLOCAL = aclocal
-include /usr/share/dpkg/pkg-info.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # This is needed to work around arch-specific quirks in the test suite.
@@ -88,11 +88,11 @@
 	  fi;\
 	done; \
 	# Check for library features which may have been upgraded.
-	if ! grep -q "CL_FLEVEL 126" libclamav/others.h ; then \
+	if ! grep -q "CL_FLEVEL 127" libclamav/others.h ; then \
 		echo "cl_retflevel needs boosting in symbol file"; \
 		touch debian/exit; \
 	fi;
-	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell echo $(DEB_VERSION) | cut -d+ -f1)/" \
+	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+dfsg.*//')/" \
 		< debian/libclamav9.symbols > debian/libclamav9.symbols.latest
 	if ! cmp debian/libclamav9.symbols debian/libclamav9.symbols.latest; then \
 		echo "Need to update CLAMAV_PRIVATE symbols"; \
