=== debian/changelog ===
clamav (0.103.6+dfsg-1ubuntu1) kinetic; urgency=medium

  * clamav-base.postinst.in: Quell warning from check for clamav user
    (LP: #1920217)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 18 May 2022 17:26:41 -0700

clamav (0.103.6+dfsg-1) unstable; urgency=medium

  * Import 0.103.6
    - CVE-2022-20770 (Possible infinite loop vulnerability in the CHM file
      parser).
    - CVE-2022-20796 (Possible NULL-pointer dereference crash in the scan
      verdict cache check).
    - CVE-2022-20771 (Possible infinite loop vulnerability in the TIFF file
      parser).
    - CVE-2022-20785 (Possible memory leak in the HTML file parser/
      Javascript normalizer).
    - CVE-2022-20792 (Possible multi-byte heap buffer overflow write
      vulnerability in the signature database load module.
    - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 12 May 2022 18:55:59 +0200
