=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # The following variables can be used to override the automake/aclocal versions.
 #export AUTOMAKE = automake
 #export ACLOCAL = aclocal
-
+include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # This is needed to work around arch-specific quirks in the test suite.
@@ -92,7 +92,7 @@
 		echo "cl_retflevel needs boosting in symbol file"; \
 		touch debian/exit; \
 	fi;
-	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+dfsg.*//')/" \
+	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell echo $(DEB_VERSION) | cut -d+ -f1)/" \
 		< debian/libclamav9.symbols > debian/libclamav9.symbols.latest
 	if ! cmp debian/libclamav9.symbols debian/libclamav9.symbols.latest; then \
 		echo "Need to update CLAMAV_PRIVATE symbols"; \
@@ -166,12 +166,10 @@
 	cat test/.split/split.clam-v2.raraa test/.split/split.clam-v2.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v2.rar
 	cat test/.split/split.clam-v3.raraa test/.split/split.clam-v3.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v3.rar
 
-# dh_strip_nondeterminism breaks .zip files. See #817943
-override_dh_strip_nondeterminism:
-	dh_strip_nondeterminism -Xclam.bz2.zip -Xclam.d64.zip -Xclam.impl.zip -Xclam.zip
-
 # Don't compress the example configuration files and the documentation PDFs.
 override_dh_compress:
 	dh_compress -Xexamples
 
 override_dh_clean:
+	rm -f debian/clamav-daemon.install.$(DEB_HOST_ARCH_OS) debian/clamav-daemon.manpages.$(DEB_HOST_ARCH_OS)
+	dh_clean
