=== debian/changelog ===
clamav (0.103.7+dfsg-0+deb11u1) bullseye; urgency=medium

  * Import 0.103.7
    - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 21 Aug 2022 21:28:52 +0200

clamav (0.103.6+dfsg-0+deb11u1) bullseye; urgency=medium

  * Import 0.103.6
    - CVE-2022-20770 (Possible infinite loop vulnerability in the CHM file
      parser).
    - CVE-2022-20796 (Possible NULL-pointer dereference crash in the scan
      verdict cache check).
    - CVE-2022-20771 (Possible infinite loop vulnerability in the TIFF file
      parser).
    - CVE-2022-20785 (Possible memory leak in the HTML file parser/
      Javascript normalizer).
    - CVE-2022-20792 (Possible multi-byte heap buffer overflow write
      vulnerability in the signature database load module.
    - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 26 May 2022 10:17:16 +0200

clamav (0.103.5+dfsg-0+deb11u1) bullseye; urgency=medium

  * Import 0.103.5
   - CVE-2022-20698 (Fix for invalid pointer read that may cause a crash).
   - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 13 Jan 2022 21:49:00 +0100

clamav (0.103.4+dfsg-0+deb11u1) bullseye; urgency=medium

  * Import 0.103.4
   - Update symbol file.
  * Add clamonacc.8.
  * Install clamonacc only on Linux. Patch by Laurent Bigonvill
    (Closes: #992776).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 16 Dec 2021 21:02:29 +0100

clamav (0.103.3+dfsg-0+deb11u1) bullseye; urgency=medium

  * Import 0.103.3
    - Update symbol file.
    - Regression: clamdscan segfaults with --fdpass --multipass and
      ExcludePath (Closes: #988218).
  * Remove clamav user on purge (Closes: #987861).
  * Remove freshclam.dat on purge.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 04 Sep 2021 16:48:13 +0200
