=== debian/rules ===
--- 
+++ 
@@ -88,7 +88,7 @@
 	  fi;\
 	done; \
 	# Check for library features which may have been upgraded.
-	if ! grep -q "CL_FLEVEL 127" libclamav/others.h ; then \
+	if ! grep -q "CL_FLEVEL 128" libclamav/others.h ; then \
 		echo "cl_retflevel needs boosting in symbol file"; \
 		touch debian/exit; \
 	fi;
@@ -166,10 +166,12 @@
 	cat test/.split/split.clam-v2.raraa test/.split/split.clam-v2.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v2.rar
 	cat test/.split/split.clam-v3.raraa test/.split/split.clam-v3.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v3.rar
 
+# dh_strip_nondeterminism breaks .zip files. See #817943
+override_dh_strip_nondeterminism:
+	dh_strip_nondeterminism -Xclam.bz2.zip -Xclam.d64.zip -Xclam.impl.zip -Xclam.zip
+
 # Don't compress the example configuration files and the documentation PDFs.
 override_dh_compress:
 	dh_compress -Xexamples
 
 override_dh_clean:
-	rm -f debian/clamav-daemon.install.$(DEB_HOST_ARCH_OS) debian/clamav-daemon.manpages.$(DEB_HOST_ARCH_OS)
-	dh_clean
